/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.leaveapply.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.leavetype.entity.LeaveType;

/**
 * 请假申请Entity
 * @author ssrh
 * @version 2018-09-26
 */
public class LeaveCount extends DataEntity<LeaveCount> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 人员档案Id
	private String leaveTypeId;		// 请假类型Id
	private String counts;		// 累计次数
	private String sums;		// 累计天数
	private Date resetDate;		// 上次重置时间
	private String resetState;
	private LeaveType leaveType;
	private String upDays;
	private String year;

	public String getUpDays() {
		return upDays;
	}

	public void setUpDays(String upDays) {
		this.upDays = upDays;
	}

	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}

	public LeaveType getLeaveType() {
		return leaveType;
	}

	public void setLeaveType(LeaveType leaveType) {
		this.leaveType = leaveType;
	}

	public String getResetState() {

		return resetState;
	}

	public void setResetState(String resetState) {
		this.resetState = resetState;
	}

	public LeaveCount() {
		super();
	}

	public LeaveCount(String id){
		super(id);
	}

	@ExcelField(title="人员档案Id", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="请假类型Id", align=2, sort=8)
	public String getLeaveTypeId() {
		return leaveTypeId;
	}

	public void setLeaveTypeId(String leaveTypeId) {
		this.leaveTypeId = leaveTypeId;
	}
	
	@ExcelField(title="累计次数", align=2, sort=9)
	public String getCounts() {
		return counts;
	}

	public void setCounts(String counts) {
		this.counts = counts;
	}
	
	@ExcelField(title="累计天数", align=2, sort=10)
	public String getSums() {
		return sums;
	}

	public void setSums(String sums) {
		this.sums = sums;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="上次重置时间", align=2, sort=11)
	public Date getResetDate() {
		return resetDate;
	}

	public void setResetDate(Date resetDate) {
		this.resetDate = resetDate;
	}
	
}